<?php

namespace SEOAIC\content_editor_blocks\blocks;

class AbstractBlock
{
    protected $blockName;
    protected $attrs;
    protected $content;

    public function render()
    {
        $block = [
            'blockName' => $this->blockName,
            'attrs'     => $this->attrs,
        ];
        $block['innerContent'][] = $this->content;
        $html = serialize_block($block);

        return $html;
    }
}
